Subject: unicast hash in ixgbe and ixgbevf

From: "J.Hwan.Kim" <[email-masked]>
Date: Sat, 17 Sep 2011 20:02:51 +0900

Hi, everyone

I'm using intel ixgbe and ixgbevf driver and SR-IOV option.

Is there any method for distributing the random IP packet stream
into several VF queues evenly?

For example, for each 4 VF queues,
can each a quarter of the IP stream be distributed to each 4 VF queues?

I checked the PFUTA register and tested it, but as far as I know,
with the 4K bit hash table, the stream is directed to queues
of which ROPE bit is set.
So, the stream is duplicated to the queues of which ROPE bit is set.
That is not what I want to do.

How can I distribute the random IP packets to several VF queues
without duplicating?

Thanks in advance.

Best Regards,

J.Hwan Kim